
set( novadaq_VERSION 04.01.00 )
set( novadaq_UPS_VERSION v04_01_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )
    find_ups_product( messagefacility v1_11_0 )
    find_ups_product( fhiclcpp v2_17_00 )
    find_ups_product( cetlib v1_09_00 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( sqlite v3_07_15_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( DATABASEUTILS NAMES DatabaseUtils PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDAQAPPMGR NAMES DatabaseUtilsDAQAppMgr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDAQCONFIG NAMES DatabaseUtilsDAQConfig PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDCS NAMES DatabaseUtilsDCS PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSRUNHISTORY NAMES DatabaseUtilsRunHistory PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQCHANNELMAP NAMES DAQChannelMap PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQDATAFORMATS NAMES DAQDataFormats PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQQUALITYCHECK NAMES DAQQualityCheck PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTDISPATCHER_COMMANDSET NAMES EventDispatcher_CommandSet PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADATABASE NAMES NovaDatabase PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADAQUTILITIES NAMES NovaDAQUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVATIMINGUTILITIES NAMES NovaTimingUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( PACKAGEVERSION NAMES PackageVersion PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWFILEPARSER NAMES RawFileParser PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SHMRDWR NAMES ShmRdWr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SHMMILLIBLOCK NAMES ShmMilliBlock PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )

check_required_components(novadaq)
